class_name IItem
extends Node


var i_name := "ItemName"
var i_image: StreamTexture = load("res://data/images/items/unknown_item.png")
var i_description := "Unknown Item"
var i_consumable := false
var i_stackable := true
var i_maxstack := 99
var i_category := "Unknown"
var i_damage := 0

var last_slot = null


func i_use(_player):
	print("I was used ", self.i_name)
